PIPE(2)

NAME
pipe - create pipe

SYNOPSIS
#include <unistd.h>

int pipe(int filedes[2]);

DESCRIPTION
pipe creates a pair of file descriptors, pointing to a pipe inode, and places them in the array pointed to by filedes. filedes[0] is for reading, filedes[1] is for writing.

RETURN VALUE
On success, zero is returned. On error, -1 is returned, and errno is set appropriately.

ERRORS

EMFILE
    Too many file descriptors are in use by the process.

ENFILE
    The system file table is full.

EFAULT
    filedes is not valid.

CONFORMING TO
SVr4, SVID, AT&T, POSIX, X/OPEN, BSD 4.3

SEE ALSO
read(2), write(2), fork(2), socketpair(2)